<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class CompanyLocation extends Model
{

    protected $table = 'company_location';

    public function displayName(){
        return implode(" ", [$this->line1, $this->city, $this->state]);
    }

    public function format(){
        return $this->line1.($this->line2? ', '.$this->line2: '').($this->city?', '.$this->city:'').($this->state?', '.$this->state:'').($this->zip? ' '.$this->zip:'');
    }

}
