<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class InsuranceCard extends Model
{    
    protected $table = 'insurance_card';

    public $timestamps = false;
    
    public function client(){
        return $this->hasOne(Client::class, 'id', 'client_id');
    }

    public function eligibilityChecks(){
        return $this->hasMany(EligibilityCheck::class, 'insurance_card_id', 'id');
    }
}
