<?php

namespace App\Models;

# use Illuminate\Database\Eloquent\Model;

class PatientRequest extends Model
{
    protected $table = 'patient_request';

    public function client() {
        return $this->hasOne(Client::class, 'id', 'client_id');
    }
    public function customer() {
        return $this->hasOne(Customer::class, 'id', 'customer_id');
    }

    public function invoice() {
        return $this->hasOne(Invoice::class, 'id', 'invoice_id');
    }

}
