<?php
$moes = [
    'setIsClientEnrolledInCmToTrue' => [
        'type' => 'boolean',
        'label' => 'Is client enrolled in CM',
        'field' => 'is_client_enrolled_in_cm',
        'undoApi' => 'setIsClientEnrolledInCmToFalse',
    ],
    'setIsClientEnrolledInRmToTrue' => [
        'type' => 'boolean',
        'label' => 'Is client enrolled in RM',
        'field' => 'is_client_enrolled_in_rm',
        'undoApi' => 'setIsClientEnrolledInRmToFalse',
    ],
    'setIsCmCanceledThisMonthToTrue' => [
        'type' => 'boolean',
        'label' => 'Is CM canceled this month',
        'field' => 'is_cm_canceled_this_month',
        'undoApi' => 'setIsCmCanceledThisMonthToFalse',
    ],
    'setIsTmThisMonthToTrue' => [
        'type' => 'boolean',
        'label' => 'Is TM this month',
        'field' => 'is_tm_this_month',
        'undoApi' => 'setIsTmThisMonthToFalse',
    ],
    'setIsRmCanceledThisMonthToTrue' => [
        'type' => 'boolean',
        'label' => 'Is RM canceled this month',
        'field' => 'is_rm_canceled_this_month',
        'undoApi' => 'setIsRmCanceledThisMonthToFalse',
    ],
    'setBillingMarkedDoneToTrue' => [
        'type' => 'boolean',
        'label' => 'Is billing marked done',
        'field' => 'is_billing_marked_done',
        'undoApi' => 'setBillingMarkedDoneToFalse',
    ],
    'setIsRmInteractionWaivedToTrue' => [
        'type' => 'boolean',
        'label' => 'Is RM interaction waived',
        'field' => 'is_rm_interaction_waived',
        'undoApi' => 'setIsRmInteractionWaivedToFalse',
    ],
    'setIsRmTimeWaivedToTrue' => [
        'type' => 'boolean',
        'label' => 'Is RM time waived',
        'field' => 'is_rm_time_waived',
        'undoApi' => 'setIsRmTimeWaivedToFalse',
    ],
    'updateWhyNotEnrolledInCm' => [
        'type' => 'form',
        'label' => 'Update why not enrolled in CM',
        'fields' => [
            'whyNotEnrolledInCmCategory' => [
                'label' => 'Why not enrolled in cm category',
                'type' => 'text',
                'column' => 'why_not_enrolled_in_cm_category',
            ],
            'whyNotEnrolledInCmMemo' => [
                'label' => 'Why not enrolled in cm memo',
                'type' => 'text',
                'column' => 'why_not_enrolled_in_cm_memo',
            ],
        ],
    ],
    'updateWhyNotEnrolledInRm' => [
        'type' => 'form',
        'label' => 'Update why not enrolled in RM',
        'fields' => [
            'whyNotEnrolledInRmCategory' => [
                'label' => 'Why not enrolled in rm category',
                'type' => 'text',
                'column' => 'why_not_enrolled_in_rm_category',
            ],
            'whyNotEnrolledInRmMemo' => [
                'label' => 'Why not enrolled in rm memo',
                'type' => 'text',
                'column' => 'why_not_enrolled_in_rm_memo',
            ],
        ],
    ],
    'updateWhyIsCmCanceledThisMonth' => [
        'type' => 'form',
        'label' => 'Update why is CM canceled this month',
        'fields' => [
            'memo' => [
                'label' => 'Memo',
                'type' => 'text',
                'column' => 'why_is_cm_canceled_this_month',
            ],
        ],
    ],
    'updateWhyIsRmCanceledThisMonth' => [
        'type' => 'form',
        'label' => 'Update why is RM canceled this month',
        'fields' => [
            'memo' => [
                'label' => 'Memo',
                'type' => 'text',
                'column' => 'why_is_rm_canceled_this_month',
            ],
        ],
    ],
    'updateClaimTotalExpected' => [
        'type' => 'form',
        'label' => 'Update claim total expected',
        'fields' => [
            'claimTotalExpected' => [
                'label' => 'Claim total expected',
                'type' => 'text',
                'column' => 'claim_total_expected',
            ],
        ],
    ],
    'closeClaiming' => [
        'type' => 'boolean',
        'label' => 'Close Claiming',
        'field' => 'is_claiming_closed',
        'undoApi' => 'reopenClaiming',
    ],
    'updateClaimSummary' => [
        'type' => 'form',
        'label' => 'Update claim summary',
        'fields' => [
            'claimSummary' => [
                'label' => 'Claim summary',
                'type' => 'text',
                'column' => 'claim_summary',
            ],
        ],
    ],
    'updateClaimTotalPaid' => [
        'type' => 'form',
        'label' => 'Update claim total paid',
        'fields' => [
            'claimTotalPaid' => [
                'label' => 'Claim Total Paid',
                'type' => 'text',
                'column' => 'claim_total_paid',
            ],
        ],
    ],
    'markRmSetupPerformed' => [
        'type' => 'boolean',
        'label' => 'Mark RM setup performed',
        'field' => 'was_rm_setup_performed',
        'undoApi' => 'undoMarkRmSetupPerformed',
    ],
    'updateClaimWaivers' => [
        'type' => 'form',
        'label' => 'Update claim waivers',
        'fields' => [
            'is99454ClaimingWaived' => [
                'label' => 'Is 99454 claiming waived',
                'type' => 'checkbox',
                'column' => 'is_99454_claiming_waived',
            ],
            'whyClaiming99454Waived' => [
                'label' => 'Why claiming 99454 waived',
                'type' => 'text',
                'column' => 'why_claiming_99454_waived',
            ],
            'is99457ClaimingWaived' => [
                'label' => 'Is 99457 claiming waived',
                'type' => 'checkbox',
                'column' => 'is_99457_claiming_waived',
            ],
            'whyClaiming99457Waived' => [
                'label' => 'Why claiming 99457 waived',
                'type' => 'text',
                'column' => 'why_claiming_99457_waived',
            ],
            'is99458ClaimingWaived' => [
                'label' => 'Is 99458 claiming waived',
                'type' => 'checkbox',
                'column' => 'is_99458_claiming_waived',
            ],
            'whyClaiming99458Waived' => [
                'label' => 'Why claiming 99458 waived',
                'type' => 'text',
                'column' => 'why_claiming_99458_waived',
            ],
        ],
    ],
];
?>
<style>
    .setting-item {
        flex-basis: 25%;
    }
</style>
<div class="d-flex flex-wrap align-items-start">
    @foreach ($moes as $apiKey => $moe)
        <div class="setting-item">
            @if ($moe['type'] === 'boolean')
                <div class="mr-3">
                    {{ $moe['label'] }}: <b>{{ $careMonth->{$moe['field']} ? 'Yes' : 'No' }}</b>
                    <div moe class="text-left ml-2 mb-2">
                        <a class="" href="" show start>Toggle</a>
                        @if ($careMonth->{$moe['field']})
                            <form url="/api/careMonth/{{ $moe['undoApi'] }}">
                                <input type="hidden" name="uid" value="{{ $careMonth->uid }}">
                                <p>Set <b>{{ $moe['label'] }}</b> to false?</p>
                                <div class="mb-0">
                                    <button class="btn btn-primary btn-sm" submit>Submit</button>
                                    <button class="btn btn-default border btn-sm" cancel>Cancel</button>
                                </div>
                            </form>
                        @else
                            <form url="/api/careMonth/{{ $apiKey }}">
                                <input type="hidden" name="uid" value="{{ $careMonth->uid }}">
                                <p>Set <b>{{ $moe['label'] }}</b> to true?</p>
                                <div class="mb-0">
                                    <button class="btn btn-primary btn-sm" submit>Submit</button>
                                    <button class="btn btn-default border btn-sm" cancel>Cancel</button>
                                </div>
                            </form>
                        @endif
                    </div>
                </div>
            @endif
            @if ($moe['type'] === 'form')
                <div class="mr-3">
                    {{ $moe['label'] }}:
                    <div moe class="text-left ml-2 mb-2">
                        <a class="" href="" show start>Update</a>
                        <form url="/api/careMonth/{{ $apiKey }}">
                            <input type="hidden" name="uid" value="{{ $careMonth->uid }}">
                            @foreach ($moe['fields'] as $fieldName => $field)
                                @if ($field['type'] === 'text')
                                    <div class="form-group">
                                        <label>{{ $field['label'] }}</label>
                                        <input type="text" name="{{ $fieldName }}" class="form-control"
                                            value="{{ $careMonth->{$field['column']} }}" />
                                    </div>
                                @endif
                                @if ($field['type'] === 'checkbox')
                                    <div class="form-group">
                                        <label>{{ $field['label'] }} <input type="checkbox" name="{{ $fieldName }}"
                                                class="form-control"
                                                value="{{ $careMonth->{$field['column']} }}" /></label>
                                    </div>
                                @endif
                            @endforeach
                            <div class="mb-0">
                                <button class="btn btn-primary btn-sm" submit>Submit</button>
                                <button class="btn btn-default border btn-sm" cancel>Cancel</button>
                            </div>
                        </form>
                    </div>
                </div>
            @endif
        </div>
    @endforeach
</div>
<hr />
<div class="d-flex flex-column align-items-start flwx-wrap">
    <div class="mr-3">
        @include('app.patient.care-month.forms.put-company-pro')
        @if ($careMonth->companyPro)
            @include('app.patient.care-month.forms.wipe-company-pro')
        @endif
    </div>
    <div class="mr-3">
        @include('app.patient.care-month.forms.put-company-pro-payer')
        @if ($careMonth->companyPro)
            @include('app.patient.care-month.forms.wipe-company-pro-payer')
        @endif
    </div>
    <div class="mr-3">
        @include('app.patient.care-month.forms.put-company-location')
        @if ($careMonth->companyPro)
            @include('app.patient.care-month.forms.wipe-company-location')
        @endif
    </div>
</div>
