<?php $keysToSkip = [
  "ED_Sleep_Hygiene",
  "AP_Weight_Mgmt_Plan",
  "ED_Nutrition_Counsel",
  "ED_Physical_Activity_Counsel"
];
?>
@if($points && count($points))
<?php
    ob_start();
    $j = 0;
    foreach ($points as $point) {
    $j++;
    ?>
<tr>
    <td>
        @include('app.patient.module-specific-summary-renderers.data-dump', compact('point'))
    </td>
    <td></td>
</tr>
<?php
    }
    $output = ob_get_contents();
    ob_end_clean();
    ?>
@if($output && !!trim(strip_tags($output)))
<div class="d-flex border-bottom">
    <a class="mr-2 width-150px hide-if-note-signed"
      open-in-stag-popup
      href="/module-view/{{$note->uid}}/sleep_health_intake/edit"
      mc-initer="edit-sleep_health_intake-container-{{$note->id}}"
      title="Sleep Health Intake"
      popup-style="stag-popup-md overflow-visible">
        Sleep Health
    </a>
    <span class="mr-2 min-width-110px font-weight-bold show-if-note-signed">
        Sleep Health
    </span>

    <div class="flex-grow-1">
        <table class="table table-bordered table-xs table-cage mb-0">
            <?= $output ?>
        </table>
    </div>
</div>
@endif
@endif
