<div moe wide relative center class="ml-2">
  <a start show show-survey-results="{{ $record->uid }}"><i class="fas fa-eye fa-fw on-hover-opaque"></i></a>
  <form url="" class="mcp-theme-1">
    <div>
      <div class="d-flex align-items-center justify-content-between pb-2 mb-1">
        @if($record->entity_type === 'Client')
          <h5 class="mb-0 font-weight-bold">Survey Results - {{ $record->getEntity()->displayName() }}</h5>
        @else
          <h5 class="mb-0 font-weight-bold">Survey Results</h5>
        @endif
        <button cancel class="btn btn-sm btn-default border">
          <i class="fas fa-times"></i>
        </button>
      </div>

      <div class="border p-4">
        <div id="survey-{{ $record->uid }}">
          <fieldset disabled>
            <?= $record->surveyhtml ?>
          </fieldset>
        </div>
      </div>

      <script>
        new Vue({
          el: "#survey-{{ $record->uid }}",
          data: {
            form: <?= json_encode(json_decode($record->survey_data ?? '{}')) ?>
          }
        });
      </script>

    </div>
  </form>
</div>
